import 'package:flutter/material.dart';
import 'package:location_picker_flutter_map/location_picker_flutter_map.dart';

class SearchLocation extends StatefulWidget {
  const SearchLocation({Key? key}) : super(key: key);

  @override
  State<SearchLocation> createState() => _SearchLocationState();
}

class _SearchLocationState extends State<SearchLocation> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: FlutterLocationPicker(
        initPosition: const LatLong(23, 89),
        selectLocationButtonStyle: ButtonStyle(
          backgroundColor: MaterialStateProperty.all(Colors.black54),
        ),
        selectedLocationButtonTextstyle: TextStyle(fontSize: 18,color: Colors.green[200]!),
        selectLocationButtonText: 'Set Current Location',
        selectLocationButtonLeadingIcon: Icon(Icons.check,color: Colors.green[200]!),
        initZoom: 11,
        minZoomLevel: 5,
        maxZoomLevel: 16,
        trackMyPosition: true,
        onPicked: (pickedData) {
          Map locDetails = {"latitude": pickedData.latLong.latitude,"longitude": pickedData.latLong.longitude,"address": pickedData.address};
          Navigator.pop(context,locDetails);
        },
      ),
    );
  }
}
